package contabilidad.beans;

import contabilidad.entity.ConceptoApunte;
import io.jmix.core.DataManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component("contabi_ConceptoApunteBean")
public class ConceptoApunteBean {

    @Autowired
    private DataManager dataManager;

    public ConceptoApunte devuelveConceptoApunteDesdeCodigo(String codigo) throws Exception{
        ConceptoApunte ca = dataManager.load(ConceptoApunte.class).query("select ca from contabi_ConceptoApunte ca " +
                "where ca.codigo = :codigo").parameter("codigo", codigo).one();
        return ca;
    }

}