package contabilidad.entity;

import io.jmix.core.entity.annotation.CaseConversion;
import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.util.UUID;

@JmixEntity
@Table(name = "CONTABI_CONCEPTO_APUNTE")
@Entity(name = "contabi_ConceptoApunte")
public class ConceptoApunte {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @Column(name = "CODIGO", length = 25)
    private String codigo;

    @CaseConversion
    @Column(name = "DESCRIPCION")
    private String descripcion;

    @JoinColumn(name = "PLAN_CONTABLE_ID", nullable = false)
    @NotNull
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    private PlanContable planContable;

    public PlanContable getPlanContable() {
        return planContable;
    }

    public void setPlanContable(PlanContable planContable) {
        this.planContable = planContable;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public String getCodigo() {
        return codigo;
    }

    public void setCodigo(String codigo) {
        this.codigo = codigo;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }
}