package contabilidad.entity;

import io.jmix.core.DeletePolicy;
import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.entity.annotation.OnDeleteInverse;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.*;
import java.util.UUID;

@JmixEntity
@Table(name = "CONTABI_IMPUTACION_CENTRO_DE_C")
@Entity(name = "contabi_ImputacionCentroDeCoste")
public class ImputacionCentroDeCoste {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @JoinColumn(name = "CENTRO_DE_COSTE_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    private CentroDeCoste centroDeCoste;

    @OnDeleteInverse(DeletePolicy.UNLINK)
    @JoinColumn(name = "ASIENTO_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    private Asiento asiento;

    @Column(name = "DESCRIPCION")
    private String descripcion;

    @Column(name = "IMPORTE_CON_SIGNO")
    private Double importeConSigno;

    public Double getImporteConSigno() {
        return importeConSigno;
    }

    public void setImporteConSigno(Double importeConSigno) {
        this.importeConSigno = importeConSigno;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public Asiento getAsiento() {
        return asiento;
    }

    public void setAsiento(Asiento asiento) {
        this.asiento = asiento;
    }

    public CentroDeCoste getCentroDeCoste() {
        return centroDeCoste;
    }

    public void setCentroDeCoste(CentroDeCoste centroDeCoste) {
        this.centroDeCoste = centroDeCoste;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }
}