package contabilidad.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.*;
import java.util.Date;
import java.util.UUID;

@JmixEntity
@Table(name = "CONTABI_PUBLICACION_REMOTA")
@Entity(name = "contabi_PublicacionRemota")
public class PublicacionRemota {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @Column(name = "OPERACION")
    private String operacion;

    @Column(name = "SISTEMA_REMOTO")
    private String sistemaRemoto;

    @Column(name = "FECHA_PUBLICACION")
    @Temporal(TemporalType.DATE)
    private Date fechaPublicacion;

    @Column(name = "CONTENIDO")
    @Lob
    private String contenido;

    @Column(name = "FECHA_PROCESAMIENTO")
    @Temporal(TemporalType.DATE)
    private Date fechaProcesamiento;

    @Column(name = "REFERENCIAS_INTERNAS")
    private String referenciasExternas;

    @Column(name = "ID_ASIENTO_PROCESADO")
    private String idAsientoProcesado;

    public String getIdAsientoProcesado() {
        return idAsientoProcesado;
    }

    public void setIdAsientoProcesado(String idAsientoProcesado) {
        this.idAsientoProcesado = idAsientoProcesado;
    }

    public String getOperacion() {
        return operacion;
    }

    public void setOperacion(String operacion) {
        this.operacion = operacion;
    }

    public String getReferenciasExternas() {
        return referenciasExternas;
    }

    public void setReferenciasExternas(String referenciasExternas) {
        this.referenciasExternas = referenciasExternas;
    }

    public Date getFechaProcesamiento() {
        return fechaProcesamiento;
    }

    public void setFechaProcesamiento(Date fechaProcesamiento) {
        this.fechaProcesamiento = fechaProcesamiento;
    }

    public String getContenido() {
        return contenido;
    }

    public void setContenido(String contenido) {
        this.contenido = contenido;
    }

    public Date getFechaPublicacion() {
        return fechaPublicacion;
    }

    public void setFechaPublicacion(Date fechaPublicacion) {
        this.fechaPublicacion = fechaPublicacion;
    }

    public String getSistemaRemoto() {
        return sistemaRemoto;
    }

    public void setSistemaRemoto(String sistemaRemoto) {
        this.sistemaRemoto = sistemaRemoto;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }
}