package contabilidad.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum TipoMovtoIva implements EnumClass<String> {

    BBII("T"),
    REC("R"),
    PTE("E");

    private String id;

    TipoMovtoIva(String value) {
        this.id = value;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static TipoMovtoIva fromId(String id) {
        for (TipoMovtoIva at : TipoMovtoIva.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}