package contabilidad.entity.validation.asiento;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = AsientoBeanValidator.class)
public @interface AsientoValidation {

    String message() default "Pendiente asignar mensaje";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}