package contabilidad.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.entity.annotation.JmixId;
import io.jmix.core.metamodel.annotation.JmixEntity;

import java.util.UUID;

@JmixEntity(name = "contabi_ApunteDTO")
public class ApunteDTO {
    @JmixGeneratedValue
    @JmixId
    private UUID id;

    private ConceptoApunte conceptoApunte;

    private CuentaContable cuentaContable;

    private Double importeDebe;

    private Double importeHaber;

    private String ampliacion;

    private Integer numApunte;

    private String saldoStr;

    public String getSaldoStr() {
        return saldoStr;
    }

    public void setSaldoStr(String saldoStr) {
        this.saldoStr = saldoStr;
    }

    public ConceptoApunte getConceptoApunte() {
        return conceptoApunte;
    }

    public void setConceptoApunte(ConceptoApunte conceptoApunte) {
        this.conceptoApunte = conceptoApunte;
    }

    public Double getImporteHaber() {
        return importeHaber;
    }

    public void setImporteHaber(Double importeHaber) {
        this.importeHaber = importeHaber;
    }

    public Integer getNumApunte() {
        return numApunte;
    }

    public void setNumApunte(Integer numApunte) {
        this.numApunte = numApunte;
    }

    public String getAmpliacion() {
        return ampliacion;
    }

    public void setAmpliacion(String ampliacion) {
        this.ampliacion = ampliacion;
    }

    public Double getImporteDebe() {
        return importeDebe;
    }

    public void setImporteDebe(Double importeDebe) {
        this.importeDebe = importeDebe;
    }

    public CuentaContable getCuentaContable() {
        return cuentaContable;
    }

    public void setCuentaContable(CuentaContable cuentaContable) {
        this.cuentaContable = cuentaContable;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public boolean isValid(){
        if (this.getNumApunte()==null) return false;
        if (this.getImporteDebe()==null) return false;
        if (this.getAmpliacion()==null) return false;
        if (this.getCuentaContable()==null) return false;
        if (this.getImporteHaber()==null) return false;
        if ((this.getImporteDebe() + this.getImporteHaber())==0.0) return false;
        return true;
    }
}