package contabilidad.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.entity.annotation.JmixId;
import io.jmix.core.metamodel.annotation.JmixEntity;

import java.text.DecimalFormat;
import java.util.UUID;

@JmixEntity(name = "contabi_PartidaBalance")
public class PartidaBalance {

    DecimalFormat df = new DecimalFormat("#,#00.00");

    @JmixGeneratedValue
    @JmixId
    private UUID id;

    private String codigoCuenta;

    private String nombreCuenta;

    private Double saldoDebe;

    private Double saldoHaber;

    private Double saldo;

    private String saldoStr;

    public String getSaldoStr() {
        saldoStr = df.format(Math.abs(saldo));
        if (saldo>=0){
            saldoStr += " D";
        }else{
            saldoStr += " H";
        }
        return saldoStr;
    }

    public Double getSaldo() {
        return saldo;
    }



    public void setSaldo(Double saldo) {
        this.saldo = saldo;
    }

    public Double getSaldoHaber() {
        return saldoHaber;
    }

    public void setSaldoHaber(Double saldoHaber) {
        this.saldoHaber = saldoHaber;
    }

    public Double getSaldoDebe() {
        return saldoDebe;
    }

    public void setSaldoDebe(Double saldoDebe) {
        this.saldoDebe = saldoDebe;
    }

    public String getNombreCuenta() {
        return nombreCuenta;
    }

    public void setNombreCuenta(String nombreCuenta) {
        this.nombreCuenta = nombreCuenta;
    }

    public String getCodigoCuenta() {
        return codigoCuenta;
    }

    public void setCodigoCuenta(String codigoCuenta) {
        this.codigoCuenta = codigoCuenta;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }
}