package contabilidad.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum SubclaveIrpf implements EnumClass<String> {

    EMPLEADO_CTA_AJENA("59"),
    ACTIVIDADES_ECONOMICAS_RENDIMIENTOS("01"),
    RET_REND_TRAB_PROF("02");

    private String id;

    SubclaveIrpf(String value) {
        this.id = value;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static SubclaveIrpf fromId(String id) {
        for (SubclaveIrpf at : SubclaveIrpf.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}