package contabilidad.jmx.dimoni;


import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

public class DimoniConnector {

    static Connection conn;
    static Connection extDocs;

//    public static String dbms = "mysql";
    public static String dbms = "mssql";

    public static Connection getConnection(){
        return getConnection(false);
    }

    public static Connection getConnection(boolean forceBrandNew){
        if (dbms.compareTo("mysql")==0){
            return getConnectionMYSQL(forceBrandNew);
        }else if(dbms.compareTo("mssql")==0){
            return getConnectionMSSQL(forceBrandNew);
        }
        return null;
    }

    public static  Connection getConnectionMYSQL(boolean forceBarndNew){
        if (!forceBarndNew) {
            if (conn != null) {
                return conn;
            }
            try {
                Class.forName("com.mysql.jdbc.Driver").newInstance();
                conn = DriverManager.getConnection("jdbc:mysql://localhost/dimoni?user=root&password=dtisat");
            } catch (Exception ex) {
                int y = 2;
            }
        }else{

            try {
                if (conn!=null){
                    conn.close();
                }
                Class.forName("com.mysql.jdbc.Driver").newInstance();
                conn = DriverManager.getConnection("jdbc:mysql://localhost/dimoni?user=root&password=dtisat");
            } catch (Exception ex) {
                int y = 2;
            }
        }
        return conn;
    }


    public static  Connection getConnectionMSSQL(boolean forceBarndNew){
        if (!forceBarndNew) {
            if (conn != null) {
                return conn;
            }
            try {
                Class.forName("com.microsoft.sqlserver.jdbc.SQLServerDriver").newInstance();
                conn = DriverManager.getConnection("jdbc:sqlserver://192.168.1.100:1433;databaseName=DIMONI;user=DIMONI;password=Gdlst2017");
            } catch (Exception ex) {
                int y = 2;
            }
        }else{

            try {
                if (conn!=null){
                    conn.close();
                }
                Class.forName("com.microsoft.sqlserver.jdbc.SQLServerDriver").newInstance();
                conn = DriverManager.getConnection("jdbc:sqlserver://192.168.1.100:1433;databaseName=DIMONI;user=DIMONI;password=Gdlst2017");
            } catch (Exception ex) {
                int y = 2;
            }
        }
        return conn;
    }



    public static  ResultSet getResultSet(String sql, Connection conn) throws Exception{
        Statement s = conn.createStatement();
        s.setQueryTimeout(300);
        int y = s.getQueryTimeout();
        ResultSet r = s.executeQuery(sql);
        return r;
    }

    public static ResultSet getResultSet(String sql) throws Exception{
        return getResultSet(sql, getConnection());
    }

    public static Integer getNumberOfRecords(String sql, Connection conn) throws Exception{
        ResultSet r = getResultSet(sql, conn);
        int n = 0;
        while(r.next()){
            n++;
        }
        r.close();
        return n;
    }

    public static Integer getNumberOfRecords(String sql) throws Exception{
        ResultSet r = getResultSet(sql, getConnection());
        int n = 0;
        while(r.next()){
            n++;
        }
        r.close();
        return n;
    }

}
