package contabilidad.screen.archivoadjuntoextdocs;

import io.jmix.ui.component.Button;
import io.jmix.ui.component.Table;
import io.jmix.ui.download.Downloader;
import io.jmix.ui.screen.*;
import contabilidad.entity.ArchivoAdjuntoExtDocs;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Base64;

@UiController("contabi_ArchivoAdjuntoExtDocs.browse")
@UiDescriptor("archivo-adjunto-ext-docs-browse.xml")
@LookupComponent("archivoAdjuntoExtDocsesTable")
public class ArchivoAdjuntoExtDocsBrowse extends StandardLookup<ArchivoAdjuntoExtDocs> {

    @Autowired
    Downloader downloader;
    @Autowired
    private Table<ArchivoAdjuntoExtDocs> archivoAdjuntoExtDocsesTable;

    @Subscribe("btnVer")
    public void onBtnVerClick(Button.ClickEvent event) {
        ArchivoAdjuntoExtDocs aa = archivoAdjuntoExtDocsesTable.getSingleSelected();
        byte[] bb = aa.getRepresentacionSerial();
        bb = Base64.getMimeDecoder().decode(bb);
        bb = Base64.getMimeDecoder().decode(bb);
        downloader.download(bb,aa.getNombreArchivo());
    }

}